MCP Connections
Update an MCP connection
Update MCP configuration. Header and environment objects merge write-only values by key, null values remove individual keys, and a null environment clears all variables. Hidden credentials are preserved unless explicitly changed or authentication is replaced; changing a remote server URL clears credentials for the old server. Call authorize explicitly after changing the server or authentication to reconnect.
PATCH
/
v1
/
mcp-connections
/
{mcpConnectionId}
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const mcpConnection = await client.mcpConnections.update('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
type: 'remote',
});curl --request PATCH \
--url https://api.tembo.io/v1/mcp-connections/{mcpConnectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "remote",
"name": "<string>",
"serverUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"headers": {},
"scope": "<string>"
}
'import requests
url = "https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}"
payload = {
"type": "remote",
"name": "<string>",
"serverUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"headers": {},
"scope": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'remote',
name: '<string>',
serverUrl: '<string>',
clientId: '<string>',
clientSecret: '<string>',
headers: {},
scope: '<string>'
})
};
fetch('https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'remote',
'name' => '<string>',
'serverUrl' => '<string>',
'clientId' => '<string>',
'clientSecret' => '<string>',
'headers' => [
],
'scope' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}"
payload := strings.NewReader("{\n \"type\": \"remote\",\n \"name\": \"<string>\",\n \"serverUrl\": \"<string>\",\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"headers\": {},\n \"scope\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"remote\",\n \"name\": \"<string>\",\n \"serverUrl\": \"<string>\",\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"headers\": {},\n \"scope\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"remote\",\n \"name\": \"<string>\",\n \"serverUrl\": \"<string>\",\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"headers\": {},\n \"scope\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"connectedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"serverUrl": "<string>",
"type": "remote",
"visibility": "shared",
"args": [
"<string>"
],
"authType": "oauth",
"command": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"envKeys": [
"<string>"
],
"headerKeys": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
- Option 1
- Option 2
Allowed value:
"remote"Required string length:
1 - 200Available options:
oauth, client_credentials, static_headers Required string length:
1 - 4096Required string length:
1 - 65536Show child attributes
Show child attributes
Available options:
automatic, pre_registered Required string length:
1 - 4096Response
Update an MCP connection
Available options:
remote, stdio Available options:
shared, personal Maximum array length:
100Maximum string length:
8192Available options:
oauth, client_credentials, static_headers, null Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const mcpConnection = await client.mcpConnections.update('7c9e6679-7425-40de-944b-e07fc1f90ae7', {
type: 'remote',
});curl --request PATCH \
--url https://api.tembo.io/v1/mcp-connections/{mcpConnectionId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "remote",
"name": "<string>",
"serverUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"headers": {},
"scope": "<string>"
}
'import requests
url = "https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}"
payload = {
"type": "remote",
"name": "<string>",
"serverUrl": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"headers": {},
"scope": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'remote',
name: '<string>',
serverUrl: '<string>',
clientId: '<string>',
clientSecret: '<string>',
headers: {},
scope: '<string>'
})
};
fetch('https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'remote',
'name' => '<string>',
'serverUrl' => '<string>',
'clientId' => '<string>',
'clientSecret' => '<string>',
'headers' => [
],
'scope' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}"
payload := strings.NewReader("{\n \"type\": \"remote\",\n \"name\": \"<string>\",\n \"serverUrl\": \"<string>\",\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"headers\": {},\n \"scope\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"remote\",\n \"name\": \"<string>\",\n \"serverUrl\": \"<string>\",\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"headers\": {},\n \"scope\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tembo.io/v1/mcp-connections/{mcpConnectionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"remote\",\n \"name\": \"<string>\",\n \"serverUrl\": \"<string>\",\n \"clientId\": \"<string>\",\n \"clientSecret\": \"<string>\",\n \"headers\": {},\n \"scope\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"connectedAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"serverUrl": "<string>",
"type": "remote",
"visibility": "shared",
"args": [
"<string>"
],
"authType": "oauth",
"command": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"envKeys": [
"<string>"
],
"headerKeys": [
"<string>"
],
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}